<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Datenbankeditor"                                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

+------------------------------------------------------------------------+
| This Module is based on ADMINER, a unique one-file database            |
| administration tool by Jakub Vrna | http://www.adminer.org/           |
| which is free for commercial and non-commercial use (apache license)   |
| http://www.apache.org/licenses/LICENSE-2.0.html                        |
+------------------------------------------------------------------------+

Version 4.1b / January 2014

*/

if (!defined('CPO')) exit;

// set the visibility for the different roles (ROLE_EDITOR, ROLE_CHIEFEDITOR, ROLE_SUPERUSER, ROLE_ADMIN)
$visAdmin  = ROLE_ADMIN;
$visEditor = ROLE_SUPERUSER;
$visTables = ROLE_CHIEFEDITOR;
$visDump   = ROLE_SUPERUSER;


$GLOBALS['modules']['DB'] = array(
    'directory' => $moduleDirectory,
    'caption'   => 'Datenbankeditor',
    'install'   => 'function: DB_install',
    'activate'  => 'function: DB_activate',
    'deactivate'=> 'function: DB_deactivate',
    'uninstall' => 'function: DB_uninstall'
	);

function DB_install()
{
    $GLOBALS['message'][] = ___('Das Modul Datenbankeditor wurde erfolgreich installiert.');
}
function DB_uninstall()
{
	 $GLOBALS['message'][] = sprintf(__('Das Modul Datenbankeditor wurde vom ConPresso-system entfernt. Bitte entfernen Sie das Modulverzeichnis <i>%s</i>, um die Deinstallation abzuschlieen.'),$GLOBALS['modules']['DB']['directory']);

}
function DB_activate()
{
    // Navigation reloaden in frame "cpo_navigation"
    $reload_navigation = "<script type=\"text/javascript\">";
    $reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
    $reload_navigation .= "</script>";

    $GLOBALS['message'][] = ___('Das Modul Datenbankeditor wurde aktiviert.').$reload_navigation;
}

function DB_deactivate()
{
    // Navigation reloaden in frame "cpo_navigation"
    $reload_navigation = "<script type=\"text/javascript\">";
    $reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
    $reload_navigation .= "</script>";

    $GLOBALS['message'][] = ___('Das Modul Datenbankeditor wurde deaktiviert.').$reload_navigation;
}

function DB_navigation($moduleDirectory)
{
	global $visAdmin, $visEditor, $visTables, $visDump;

    if ($_SESSION['SID_user']['admin']>=min($visAdmin, $visEditor, $visTables, $visDump)) {
		$GLOBALS['navigation']['System'][] = 'space';
	}
    
    if ($_SESSION['SID_user']['admin']>=$visAdmin) {
		$dbadmin = new DB;
		$GLOBALS['navigation']['System'][] = array(
            'caption'=>'Datenbankadministration',
            'url'=>BASE_REL.$moduleDirectory.'/dbadmin.php?cpomode=admin&username='.utf8_encode($_SESSION['SID_login']).'&db='.$dbadmin->Database,
			'target'=>'mod_database'
        );
	}
	if ($_SESSION['SID_user']['admin']>=$visEditor) {
		$GLOBALS['navigation']['System'][] = array(
				'caption'=>'Datenbankeditor',
				'url'=>BASE_REL.$moduleDirectory.'/dbadmin.php?cpomode=edit&username='.utf8_encode($_SESSION['SID_login']),
				'target'=>'mod_database'
			);
	}
	if ($_SESSION['SID_user']['admin']>=$visTables) {
    $GLOBALS['navigation']['System'][] = array(
            'caption'=>'Datentabellen',
            'url'=>BASE_REL.$moduleDirectory.'/dbedit.php?cpomode=lists&username='.utf8_encode($_SESSION['SID_login']),
			'target'=>'mod_database'
        );
	}
	if ($_SESSION['SID_user']['admin']>=$visDump) {
		$GLOBALS['navigation']['System'][] = array(
				'caption'=>'Datenbank-Dump',
				'url'=>BASE_REL.$moduleDirectory.'/dump.php?username='.utf8_encode($_SESSION['SID_login']),
				'target'=>'mod_database'
			);
	}
}

function DB_warning()  {
    global $cpoSystem;
    require(CPO_BASEDIR."_include/header.php");
    $message[] = '<b>Attention:</b> your IP will be blocked by mod_ctracker!';
    $message[] = 'You should disable ctracker first by removing it from the common-local.inc.php file or prevent interference by using<br />'
                ."<pre>if (!defined('ADMINER'))  require_once(CPO_BASEDIR.'mod_ctracker/ctracker.php');</pre>";
    require(CPO_BASEDIR."_include/message.php");
    require(CPO_BASEDIR."_include/footer.php");
    exit;
}

if ($_SESSION['SID_user']['admin']) $hdlr_navigation[] = 'function: DB_navigation '.$moduleDirectory;

?>