<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Datenbankeditor"                                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

+------------------------------------------------------------------------+
| This Module is based on ADMINER, a unique one-file database            |
| administration tool by Jakub Vrna | http://www.adminer.org/           |
| which is free for commercial and non-commercial use (apache license)   |
| http://www.apache.org/licenses/LICENSE-2.0.html                        |
+------------------------------------------------------------------------+

Version 4.1b / January 2014

*/

define('CPO', true);
define('ADMINER', true);
require_once('../_include/checkaccess.inc.php');

if (defined('CTXTRA')) DB_warning();

$dbadmin = new DB;

function adminer_object() {

	global $dbadmin;
    
    class AdminerSoftware extends Adminer {
        
        function name() {
            // custom name in title and heading
            return 'DBeditor';
        }
        
        function permanentLogin() {
            // key used for permanent login
            return "idontknow4what2writethis";
        }
        
        function credentials() {
            global $dbadmin;
            // server, username and password for connecting to database
            return array($dbadmin->Host, $dbadmin->User, $dbadmin->Password);
        }
        
        function database() {
            global $dbadmin;
            // database name, will be escaped by Adminer
            return $dbadmin->Database;
        }

        function login($login, $password) {
            // validate user submitted credentials
            return ($login == utf8_encode($_SESSION['SID_login']) && $password == '');
        }
		function tableName($tableStatus) {
			// tables without comments would return empty string and will be ignored by Adminer
			return h($tableStatus["Comment"]);
		}
    }
    
    return new AdminerSoftware;
}

// auf true setzen, um eine vollstndige Datenbankadministration zu erhalten!
if ($_REQUEST['cpomode']=='admin' && $_SESSION['SID_user']['admin']>=ROLE_ADMIN)       $_SESSION['mod_database_AdminView'] = true;
if ($_REQUEST['cpomode']=='edit'  && $_SESSION['SID_user']['admin']>=ROLE_SUPERUSER)   $_SESSION['mod_database_AdminView'] = false;
if ($_REQUEST['cpomode']=='lists' && $_SESSION['SID_user']['admin']>=ROLE_CHIEFEDITOR) $_SESSION['mod_database_AdminView'] = false;


//include "./editor.php";
include (($_SESSION['mod_database_AdminView'])?"./adminer.php":"./editor.php");
